package mif18.prj;

import org.openjena.atlas.lib.Sink;

import com.hp.hpl.jena.graph.Triple;

/**
 * Simple implementation de Sink<Triple> qui compte le nombre de triplets envoyés.
 * @author Emmanuel Coquery
 *
 */
public class CountingTripleSink implements Sink<Triple> {

	private int combien = 0;
	
	@Override
	public void close() {
	}

	@Override
	public void send(Triple item) {
		combien++;
	}

	@Override
	public void flush() {
	}

	public int getCombien() {
		return combien;
	}
}
